cocoapods升级

释放双眼,带上耳机,听听看~!

最近因为项目迁移到xcode8上,所以对cocoapod进行了一次升级。一下记录升级过程中遇到的问题和解决方法。

查看版本的命令:pod --version
升级的命令:sudo gem install -n /usr/local/bin cocoapods --pre
设置:pod setup
一系列升级命令完成后,但却出现很多错误。
原因:没有修改gem源。
解决:

gem sources --remove https://rubygems.org/
gem source -a https://gems.ruby-china.org
查看是否切换成功命令:gem source -l

如果出现错误:

ERROR:  While executing gem ... (Errno::EACCES)
Permission denied - /Users/ly/.gemrc

在命名前加上 sudo,权限问题

sudo gem source -a https://gems.ruby-china.org

注:升级后的podfile文件必须明确指出所用第三方库的target。

target 'TourDemo' do
pod 'Masonry', '~> 0.6.4'
end

BUG记录:
1.

[!] Unable to add a source with url `https://github.com/CocoaPods/Specs.git` named `master-1`.
You can try adding it manually in `~/.cocoapods/repos` or via `pod repo add`.

解决:

sudo xcode-select -r

人已赞赏
iOS文章

xcode错误信息汇总

2020-2-16 4:19:30

iOS文章

iOS UIGraphicsBeginImageContext的应用

2020-2-16 6:19:50

个人中心
购物车
优惠劵
今日签到
有新私信 私信列表
搜索